From 5263348d3970574187ee76284077b49f2d6db5a3 Mon Sep 17 00:00:00 2001
From: Jacob C <copini@users.noreply.github.com>
Date: Mon, 10 Jul 2023 07:12:18 +0200
Subject: [PATCH 15/17] Support environments without `process.argv` (#44)

like Edge Runtime
---
 lib/system/has-flag.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/system/has-flag.js b/lib/system/has-flag.js
index a347dd4..85f176a 100644
--- a/lib/system/has-flag.js
+++ b/lib/system/has-flag.js
@@ -25,7 +25,7 @@ SOFTWARE.
 'use strict';
 
 module.exports = function(flag, argv) {
-  argv = argv || process.argv;
+  argv = argv || process.argv || [];
 
   var terminatorPos = argv.indexOf('--');
   var prefix = /^-{1,2}/.test(flag) ? '' : '--';

